VERSION 5.00
Begin VB.UserControl SMButton 
   BackColor       =   &H00C0C0C0&
   ClientHeight    =   450
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   1605
   PropertyPages   =   "SButton.ctx":0000
   ScaleHeight     =   450
   ScaleWidth      =   1605
   ToolboxBitmap   =   "SButton.ctx":004E
   Begin VB.Label lblCaption 
      Alignment       =   2  'Center
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   195
      Left            =   435
      TabIndex        =   0
      Top             =   120
      Width           =   705
      WordWrap        =   -1  'True
   End
   Begin VB.Line LineTop 
      BorderColor     =   &H00E0E0E0&
      BorderWidth     =   2
      X1              =   0
      X2              =   1560
      Y1              =   15
      Y2              =   15
   End
   Begin VB.Line LineBottom 
      BorderColor     =   &H00808080&
      BorderWidth     =   2
      X1              =   40
      X2              =   1560
      Y1              =   405
      Y2              =   405
   End
   Begin VB.Line LineLeft 
      BorderColor     =   &H00E0E0E0&
      BorderWidth     =   2
      X1              =   20
      X2              =   20
      Y1              =   0
      Y2              =   400
   End
   Begin VB.Line LineRight 
      BorderColor     =   &H00808080&
      BorderWidth     =   2
      X1              =   1560
      X2              =   1560
      Y1              =   0
      Y2              =   420
   End
End
Attribute VB_Name = "SMButton"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Private lBackColor As Long
Const lHighLight = &HE0E0E0
Const Lshadow = &H808080

Event DblClick()
Event Click()
Public Property Let Caption(sNewCaption As String)
    lblCaption.Caption = sNewCaption
    PropertyChanged "Caption"
End Property







Private Sub lblCaption_Click()
    RaiseEvent Click
End Sub

Private Sub lblCaption_DblClick()
    RaiseEvent Click
End Sub


Private Sub lblCaption_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    BtnDown
End Sub


Private Sub lblCaption_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    BtnUp
End Sub


Private Sub UserControl_Click()
    RaiseEvent Click
End Sub

Private Sub UserControl_DblClick()
    RaiseEvent DblClick
End Sub


Private Sub UserControl_InitProperties()
    Caption = Extender.Name
    BackColor = RGB(192, 192, 192)
End Sub


Private Sub UserControl_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    BtnDown
End Sub

Private Sub UserControl_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    BtnUp
End Sub


Private Sub UserControl_ReadProperties(PropBag As PropertyBag)
    Caption = PropBag.ReadProperty("Caption", Extender.Name)
    lblCaption.Caption = PropBag.ReadProperty("Caption", Extender.Name)
    UserControl.Enabled = PropBag.ReadProperty("Enabled", True)
    lblCaption.FontBold = PropBag.ReadProperty("FontBold", 0)
    lblCaption.FontItalic = PropBag.ReadProperty("FontItalic", 0)
    lblCaption.FontName = PropBag.ReadProperty("FontName", "MS Sans Serif")
    lblCaption.FontSize = PropBag.ReadProperty("FontSize", 8)
    lblCaption.ForeColor = PropBag.ReadProperty("ForeColor", &H80000012)
    Set Picture = PropBag.ReadProperty("Picture", Nothing)
    UserControl.BackColor = PropBag.ReadProperty("BackColor", &HC0C0C0)
    lblCaption.Caption = PropBag.ReadProperty("Caption", "")
    Set Font = PropBag.ReadProperty("Font", Ambient.Font)
End Sub


Private Sub UserControl_Resize()
    LineLeft.Y2 = ScaleHeight
    LineTop.X2 = ScaleWidth - 40
    LineRight.X1 = ScaleWidth - 20
    LineRight.X2 = ScaleWidth - 20
    LineRight.Y2 = ScaleHeight
    LineBottom.X2 = ScaleWidth - 40
    LineBottom.Y1 = ScaleHeight - 20
    LineBottom.Y2 = ScaleHeight - 20
    lblCaption.Move (ScaleWidth - lblCaption.Width) / 2, (ScaleHeight - lblCaption.Height) / 2
End Sub


Private Sub UserControl_WriteProperties(PropBag As PropertyBag)
    PropBag.WriteProperty "Caption", Caption, Extender.Name
    Call PropBag.WriteProperty("Caption", lblCaption.Caption, Extender.Name)
    Call PropBag.WriteProperty("Enabled", UserControl.Enabled, True)
    Call PropBag.WriteProperty("Font", Font, Ambient.Font)
    Call PropBag.WriteProperty("FontBold", lblCaption.FontBold, 0)
    Call PropBag.WriteProperty("FontItalic", lblCaption.FontItalic, 0)
    Call PropBag.WriteProperty("FontName", lblCaption.FontName, "MS Sans Serif")
    Call PropBag.WriteProperty("FontSize", lblCaption.FontSize, 8)
    Call PropBag.WriteProperty("ForeColor", lblCaption.ForeColor, &H80000012)
    Call PropBag.WriteProperty("Picture", Picture, Nothing)
    Call PropBag.WriteProperty("BackColor", UserControl.BackColor, &HC0C0C0)
End Sub







Private Sub BtnDown()
    lBackColor = BackColor
    LineLeft.BorderColor = Lshadow
    LineTop.BorderColor = Lshadow
    LineRight.BorderColor = lHighLight
    LineBottom.BorderColor = lHighLight
    BackColor = &H404040
End Sub

Private Sub BtnUp()
    BackColor = lBackColor
    LineLeft.BorderColor = lHighLight
    LineTop.BorderColor = lHighLight
    LineRight.BorderColor = Lshadow
    LineBottom.BorderColor = Lshadow
End Sub




'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=UserControl,UserControl,-1,Enabled
Public Property Get Enabled() As Boolean
Attribute Enabled.VB_Description = "Returns/sets a value that determines whether an object can respond to user-generated events."
    Enabled = UserControl.Enabled
End Property

Public Property Let Enabled(ByVal New_Enabled As Boolean)
    UserControl.Enabled() = New_Enabled
    PropertyChanged "Enabled"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=lblCaption,lblCaption,-1,FontBold
Public Property Get FontBold() As Boolean
Attribute FontBold.VB_Description = "Returns/sets bold font styles."
    FontBold = lblCaption.FontBold
End Property

Public Property Let FontBold(ByVal New_FontBold As Boolean)
    lblCaption.FontBold() = New_FontBold
    PropertyChanged "FontBold"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=lblCaption,lblCaption,-1,FontItalic
Public Property Get FontItalic() As Boolean
Attribute FontItalic.VB_Description = "Returns/sets italic font styles."
    FontItalic = lblCaption.FontItalic
End Property

Public Property Let FontItalic(ByVal New_FontItalic As Boolean)
    lblCaption.FontItalic() = New_FontItalic
    PropertyChanged "FontItalic"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=lblCaption,lblCaption,-1,FontName
Public Property Get FontName() As String
Attribute FontName.VB_Description = "Specifies the name of the font that appears in each row for the given level."
    FontName = lblCaption.FontName
End Property

Public Property Let FontName(ByVal New_FontName As String)
    lblCaption.FontName() = New_FontName
    PropertyChanged "FontName"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=lblCaption,lblCaption,-1,FontSize
Public Property Get FontSize() As Single
Attribute FontSize.VB_Description = "Specifies the size (in points) of the font that appears in each row for the given level."
    FontSize = lblCaption.FontSize
End Property

Public Property Let FontSize(ByVal New_FontSize As Single)
    lblCaption.FontSize() = New_FontSize
    PropertyChanged "FontSize"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=lblCaption,lblCaption,-1,ForeColor
Public Property Get ForeColor() As OLE_COLOR
Attribute ForeColor.VB_Description = "Returns/sets the foreground color used to display text and graphics in an object."
    ForeColor = lblCaption.ForeColor
End Property

Public Property Let ForeColor(ByVal New_ForeColor As OLE_COLOR)
    lblCaption.ForeColor() = New_ForeColor
    PropertyChanged "ForeColor"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=UserControl,UserControl,-1,Picture
Public Property Get Picture() As Picture
Attribute Picture.VB_Description = "Returns/sets a graphic to be displayed in a control."
    Set Picture = UserControl.Picture
End Property

Public Property Set Picture(ByVal New_Picture As Picture)
    Set UserControl.Picture = New_Picture
    PropertyChanged "Picture"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=UserControl,UserControl,-1,BackColor
Public Property Get BackColor() As OLE_COLOR
Attribute BackColor.VB_Description = "Returns/sets the background color used to display text and graphics in an object."
    BackColor = UserControl.BackColor
End Property

Public Property Let BackColor(ByVal New_BackColor As OLE_COLOR)
    UserControl.BackColor() = New_BackColor
    PropertyChanged "BackColor"
End Property

Public Property Get Caption() As String
    Caption = lblCaption.Caption
End Property



'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=lblCaption,lblCaption,-1,Font
Public Property Get Font() As Font
Attribute Font.VB_Description = "Returns a Font object."
Attribute Font.VB_UserMemId = -512
    Set Font = lblCaption.Font
End Property

Public Property Set Font(ByVal New_Font As Font)
    Set lblCaption.Font = New_Font
    PropertyChanged "Font"
End Property





