VERSION 5.00
Begin VB.UserControl TimeControl 
   ClientHeight    =   390
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   1350
   PropertyPages   =   "TimeControl.ctx":0000
   ScaleHeight     =   390
   ScaleWidth      =   1350
   ToolboxBitmap   =   "TimeControl.ctx":002D
   Begin VB.Timer Timer1 
      Interval        =   1000
      Left            =   480
      Top             =   1200
   End
   Begin VB.Label lblTime 
      Alignment       =   2  'Center
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "Label1"
      Height          =   195
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1095
   End
End
Attribute VB_Name = "TimeControl"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'Event Declarations:
Event Change() 'MappingInfo=lblTime,lblTime,-1,Change
Attribute Change.VB_Description = "Occurs when the contents of a control have changed."
Event Click() 'MappingInfo=UserControl,UserControl,-1,Click
Attribute Click.VB_Description = "Occurs when the user presses and then releases a mouse button over an object."
Event DblClick() 'MappingInfo=UserControl,UserControl,-1,DblClick
Attribute DblClick.VB_Description = "Occurs when the user presses and releases a mouse button and then presses and releases it again over an object."



Function GetRealTime() As String
    Dim armytime As String
    Dim daytime As Integer
    Dim AMPM As String
    Dim realtime0 As String
    Dim realtime1 As String
    Dim realtime2 As String

    armytime = Time$
    daytime = Left$(armytime, 2)
    realtime0 = Right$(armytime, 6)
    
    If daytime >= 12 Then AMPM = "PM"
    If daytime <= 11 Then AMPM = "AM"
    
    If AMPM = "PM" Then
        realtime1 = (daytime - 12)
        realtime2 = realtime1 + realtime0 + " PM"
    End If
    
    If AMPM = "AM" Then
        realtime1 = daytime
        realtime2 = realtime1 + realtime0 + " AM"
    End If
    
    GetRealTime = realtime2

End Function

Private Sub Timer1_Timer()
    lblTime.Caption = GetRealTime()
End Sub


Private Sub UserControl_Initialize()
    lblTime.Caption = GetRealTime()
End Sub


Private Sub UserControl_Resize()
    lblTime.Move (ScaleWidth - lblTime.Width) / 2, (ScaleHeight - lblTime.Height) / 2
End Sub


'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=UserControl,UserControl,-1,BackColor
Public Property Get BackColor() As OLE_COLOR
Attribute BackColor.VB_Description = "Returns/sets the background color used to display text and graphics in an object."
    BackColor = UserControl.BackColor
End Property

Public Property Let BackColor(ByVal New_BackColor As OLE_COLOR)
    UserControl.BackColor() = New_BackColor
    PropertyChanged "BackColor"
End Property

Private Sub lblTime_Change()
    RaiseEvent Change
End Sub

Private Sub UserControl_Click()
    RaiseEvent Click
End Sub

Private Sub UserControl_DblClick()
    RaiseEvent DblClick
End Sub

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=UserControl,UserControl,-1,Enabled
Public Property Get Enabled() As Boolean
Attribute Enabled.VB_Description = "Returns/sets a value that determines whether an object can respond to user-generated events."
    Enabled = UserControl.Enabled
End Property

Public Property Let Enabled(ByVal New_Enabled As Boolean)
    UserControl.Enabled() = New_Enabled
    PropertyChanged "Enabled"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=lblTime,lblTime,-1,Font
Public Property Get Font() As Font
Attribute Font.VB_Description = "Returns a Font object."
Attribute Font.VB_UserMemId = -512
    Set Font = lblTime.Font
End Property

Public Property Set Font(ByVal New_Font As Font)
    Set lblTime.Font = New_Font
    PropertyChanged "Font"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=lblTime,lblTime,-1,ForeColor
Public Property Get ForeColor() As OLE_COLOR
Attribute ForeColor.VB_Description = "Returns/sets the foreground color used to display text and graphics in an object."
    ForeColor = lblTime.ForeColor
End Property

Public Property Let ForeColor(ByVal New_ForeColor As OLE_COLOR)
    lblTime.ForeColor() = New_ForeColor
    PropertyChanged "ForeColor"
End Property





'Initialize Properties for User Control
Private Sub UserControl_InitProperties()

End Sub

'Load property values from storage
Private Sub UserControl_ReadProperties(PropBag As PropertyBag)

    UserControl.BackColor = PropBag.ReadProperty("BackColor", &H8000000F)
    UserControl.Enabled = PropBag.ReadProperty("Enabled", True)
    Set Font = PropBag.ReadProperty("Font", Ambient.Font)
    lblTime.ForeColor = PropBag.ReadProperty("ForeColor", &H80000012)
End Sub

'Write property values to storage
Private Sub UserControl_WriteProperties(PropBag As PropertyBag)

    Call PropBag.WriteProperty("BackColor", UserControl.BackColor, &H8000000F)
    Call PropBag.WriteProperty("Enabled", UserControl.Enabled, True)
    Call PropBag.WriteProperty("Font", Font, Ambient.Font)
    Call PropBag.WriteProperty("ForeColor", lblTime.ForeColor, &H80000012)
End Sub

