VERSION 5.00
Begin VB.UserControl TrafficLight1 
   ClientHeight    =   495
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   495
   PropertyPages   =   "TrafficLight1.ctx":0000
   ScaleHeight     =   495
   ScaleWidth      =   495
   ToolboxBitmap   =   "TrafficLight1.ctx":0029
   Begin VB.Image LightRed 
      Height          =   480
      Left            =   0
      Picture         =   "TrafficLight1.ctx":0123
      Stretch         =   -1  'True
      Top             =   0
      Width           =   480
   End
   Begin VB.Image LightYellow 
      Height          =   480
      Left            =   0
      Picture         =   "TrafficLight1.ctx":0565
      Stretch         =   -1  'True
      Top             =   0
      Width           =   480
   End
   Begin VB.Image LightGreen 
      Height          =   480
      Left            =   0
      Picture         =   "TrafficLight1.ctx":09A7
      Stretch         =   -1  'True
      Top             =   0
      Width           =   480
   End
End
Attribute VB_Name = "TrafficLight1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "PropPageWizardRun" ,"Yes"
'Default Property Values:
Const m_def_LightColor = 0
'Property Variables:
Dim m_LightColor As String




Private Sub UserControl_Resize()
newHeight = ScaleHeight - 15
newWidth = ScaleWidth - 15

    LightGreen.Width = newWidth
    LightGreen.Height = newHeight
    LightYellow.Width = newWidth
    LightYellow.Height = newHeight
    LightRed.Width = newWidth
    LightRed.Height = newHeight
    
End Sub


'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=UserControl,UserControl,-1,Enabled
Public Property Get Enabled() As Boolean
Attribute Enabled.VB_Description = "Returns/sets a value that determines whether an object can respond to user-generated events."
    Enabled = UserControl.Enabled
End Property

Public Property Let Enabled(ByVal New_Enabled As Boolean)
    UserControl.Enabled() = New_Enabled
    PropertyChanged "Enabled"
End Property

Public Property Get LightColor() As String
    LightColor = m_LightColor
    Select Case LightColor
    
    Case 0
        LightRed.Visible = True
        LightYellow.Visible = False
        LightGreen.Visible = False
        m_LightColor = 0
    Case 1
        LightYellow.Visible = True
        LightGreen.Visible = False
        LightRed.Visible = False
        m_LightColor = 1
    Case 2
        LightGreen.Visible = True
        LightYellow.Visible = False
        LightRed.Visible = False
        m_LightColor = 2
    End Select
    
End Property

Public Property Let LightColor(New_LightColor As String)
    m_LightColor = New_LightColor
    PropertyChanged "LightColor"
    Select Case LightColor
    
    Case 0
        LightRed.Visible = True
        LightYellow.Visible = False
        LightGreen.Visible = False
        m_LightColor = 0
    Case 1
        LightYellow.Visible = True
        LightGreen.Visible = False
        LightRed.Visible = False
        m_LightColor = 1
    Case 2
        LightGreen.Visible = True
        LightYellow.Visible = False
        LightRed.Visible = False
        m_LightColor = 2
    End Select
End Property

'Initialize Properties for User Control
Private Sub UserControl_InitProperties()

End Sub

'Load property values from storage
Private Sub UserControl_ReadProperties(PropBag As PropertyBag)

    UserControl.Enabled = PropBag.ReadProperty("Enabled", True)
    LightColor = PropBag.ReadProperty("LightColor", m_def_LightColor)
    UserControl.BackColor = PropBag.ReadProperty("BackColor", &H8000000F)
End Sub

'Write property values to storage
Private Sub UserControl_WriteProperties(PropBag As PropertyBag)

    Call PropBag.WriteProperty("Enabled", UserControl.Enabled, True)
    Call PropBag.WriteProperty("LightColor", LightColor, m_def_LightColor)
    Call PropBag.WriteProperty("BackColor", UserControl.BackColor, &H8000000F)
End Sub

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=UserControl,UserControl,-1,BackColor
Public Property Get BackColor() As OLE_COLOR
Attribute BackColor.VB_Description = "Returns/sets the background color used to display text and graphics in an object."
    BackColor = UserControl.BackColor
End Property

Public Property Let BackColor(ByVal New_BackColor As OLE_COLOR)
    UserControl.BackColor() = New_BackColor
    PropertyChanged "BackColor"
End Property

